#!/bin/bash
WATCH_FOLDER="{{ preprocessor_folder }}"
SYNC_FOLDER="{{ source_folder }}"
RESIZE_FORMAT="{{ resolution }}"

inotifywait -m -r -q -e close_write --format '%f' $WATCH_FOLDER | while read FILE
do
 echo "optimizing $FILE"
 CURRENT_TIME=$(date "+%s")
 convert $WATCH_FOLDER/$FILE -resize $RESIZE_FORMAT $SYNC_FOLDER$CURRENT_TIME-$FILE.jpg
done

